---
search:
  tags:
    - pipeline
    - GET
seo:
  description: >-
    List agent types. Reference for the GET
    /workspaces/{organizationId}/agent-types endpoint in the Pile API.
sidebar:
  label: List agent types
  badge: GET
title: List agent types
type: openapi-operation
---
`GET /workspaces/{organizationId}/agent-types`

**Responses**

- `200` — Registered agent types for the workspace

Response example, 200:

```json
{
  "agentTypes": [
    {
      "id": "string",
      "organizationId": "string",
      "slug": "string",
      "name": "string",
      "providerAgentId": "string",
      "jobSpec": "string",
      "toolScope": "string",
      "permissionsTier": "string",
      "enabled": 0,
      "createdBy": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
```
